---
title: "4 Months with my T480"
date: 2018-09-04T09:08:31+02:00
slug: "4-months-with-my-t480"
image: "/img/post/t480-follow-up/t480-follow-up-header.jpg"
---

It has now been more than 4 months since I got my T480. In that time it's been my daily driver. As mentioned in the [first T480 post](/posts/my-new-thinkpad-the-t480/), my plan was for it to replace my two laptops, so I could merge their purpose into one. Something it has managed very well.

Actually, I took it one step further than initially planned, the T480 has replaced my Ryzen-powered desktop. Said desktop was moved to my living room, and now lives on as a Steam Console. The T480 is currently the only computer I use on a daily basis and handles all my tasks.

I felt it was time to make a follow-up to the T480 post, as it attracted way more attention than I expected. I've even gotten three E-mails from people thanking me for the blog post, as it gave them valuable insight. Of those three, two supposedly purchased an actual T480. In fact, one of those people mailed me while I was writing this follow-up.

There were some things I felt I should clarify since I've now owned this laptop a while. And I'll type out some of those long-term realizations here. No real cohesive writeup, more like a public notepad of what I've discovered.

## Build / Ports

My original post mainly mentioned one gripe with the T480 in regards to build quality; The wiggly Type-C ports

First off, the ports are still wiggly. But I'll also say that even though I plug in the charger every day, and I have many Type-C devices I plug into the second port, the ports haven't gotten worse. So it doesn't seem like it'll cause many issues. If they held up this long, I'd say you can probably expect them to last quite a bit longer as well.

I also had some followers point out that the Type-C ports might be shock mounted. Which is apparently common in rugged laptops. They said the port might simply be wiggly as a side-effect. Because shock mounts for PC ports are meant to wiggle a bit. With a shock mounted port, if you were to hit a cable while it's plugged it, it would lower the chances of the port snapping off internally.

And looking at pictures of the T480's internals, I must agree that the Type-C ports look suspiciously complex:

![Test](/img/post/t480-follow-up/t480-type-c-ports.jpg)
<small>Suspiciously complex Type-C assemblies. Image courtesy of [Windows Central](https://www.windowscentral.com/lenovo-thinkpad-t480-review).</small>

Sadly I couldn't find any documentation confirming if they actually have some kind of shock mount or not. But they definitely seem rugged. I'm also not willing to plug in a cable and punch said cable to test the theory myself. Many say I'm crazy, but that'd be bad even for me.

It's also possible the reason they look so beefy has something to do with Lenovo's Type-C based mechanical docking stations.

Regardless of the true reason for the "wigglyness", they've held up quite well during my months using the machine. If they haven't degraded at all after more than a quarter, I think they'll at least manage a fair number of years.

I also want to give a quick note about the keyboard. I initially mentioned that I'd heard about the coating being different on the backlit and non-backlit versions of the keyboard. We recently got a T480 at work with a backlit keyboard. So I can indeed confirm that the keys on the backlit version have a different coating.

The keys on the backlit keyboard are shinier and glossier than the non-backlit one, which has a fairly matte feel. I don't know if it's just a different coating or entirely different plastics, but since others on the internet say it's just coating, I'll go with that. If true, the keys will probably be about the same after a two years worth of wear.

However I don't know why the coatings are different. You could say it's becuse the one on the backlit model interferred with the lighting. But if so, why maintain two different types of keys instead of just reusing the same coating on the non-backlit one? I don't know the exact reason, but non-backlit keyboards are definitely more matte.

## Linux Support

I'm happy to report that absolutely everything works on the hardware side. Like, everything. Since writing the original post I've had time to use almost everything I'd need my laptop for. That means I've tested Bluetooth mice, trakcballs, wireless headsets, the Nvidia GPU, Ethernet, Thunderbolt docks and anything else as long as my laptop was configured with it. Even the IR camera seems to work. You can open a webcam viewer and it'll show a green image where you can make out human silhouettes/shadows moving, even in the dark. It's kinda weird to see an IR camera in video form, but it definitely outputs some video data to Linux.

Next up I want to address the bumblebee mess. It turns out I misunderstood and bumblebee needs the proprietary drivers. Even so, it wouldn't matter, because apparently [bumblebee has been broken for a year on Void Linux](https://github.com/voidlinux/void-packages/issues/5863). Due to the Nvidia libraries and Intel driver colliding you can't install them both at the same time. Although, uninstalling Intel drivers, then installing Nvidia drivers works perfectly fine. With the recently released Steam Play I've got everything from Skyrim to Dark Souls working quite well under Linux on the laptop. Even if Bumblebee is broken on Void Linux and I can't switch cards, each of them work wonderfully by themselves.

# Performance / Thermals / Noise

I've had no real issues with any of these sections. But I felt I should mention some details and other things I've noticed.

For starters, I have this weird issue sometimes when I plug in my T480's charger. The laptop likes to completely lock its CPU down to 200MHz. It's almost funny really, having such a beefy commputer with a 200MHz CPU makes for weird stuff. I don't even know how it goes all the way down to 200MHz, because it's lower than the reported minimum freq of the CPU.

It's just a weird issue in general. It seems there's about a 1/50 chance that whenever I plug in a charger, the CPU locks to 200MHz. All I have to do to fix it, is unplug the charger and plug it back in, then the CPU speeds up to its normal values. But it's a very weird issue that I haven't figured out. A BIOS upgrade was performed, but didn't help at all, so it might be Linux's power management for all I know. Regardless it's a super minor quirk, which means I have to plug in my charger twice every three weeks. So I didn't really bother looking into it much.

As for thermals. I've finally gotten around to doing some gaming and stuff on the device. I can tell you that during regular use, the core temperature of the CPU or GPU barely ever pokes above 60 degrees celcius, even when playing 4K videos. The external surface temperature remains perfectly fine duing such use.

Thermals are a bit more interesting when gaming. Because the CPU and MX150 share one heat sink. Keep in mind that if you have a non-MX150 model, the cooling solution differs, so your results will too.

When gaming I can see temperatures of about 75-80 for the CPU, and roughly the same for the GPU. Which honestly is pretty good. Many laptops these days just let the CPU/GPU blast past 80 degrees and then throttle. The T480 doesn't do that. It gets a bit toasty when gaming, but it's not bad compared to many other laptps. I don't think it'd be an issue unless you plan to game with the T480 on your lap for hours straight.

Gaming would be represent heavy GPU load and medium-low CPU load. So those temps seem quite reasonable to me, considering how bad competing laptops are currently. If you're not gaming, you don't have to worry about temperatures. When the GPU is idle, the CPU gets the whole heatsink to itself. Even when I push all CPU cores in ffmpeg, temperatures barely poke over 70 degrees.

On the performance side of gaming, while playing Skyrim Special Edition, I can set the game to low or medium at 720p and crank Actor Fade to max (because I'm an archer, gotta see my targets) then it'll run very well. The game stays above 50fps as far as I could see using Steam's built-in fps counter. If I'm playing the non-special edition of Skyrim, I can either crank some settings to high, or the resolution to 1080p and it still runs well. 

The MX150 is no powerhouse, but if you're fine with playing on low/medium settings, it'll handle most games out there. I personally prefer sacrificing some resolution to go medium/high, since 720p frankly looks quite okay on a 14" screen.

I haven't performed any proper tests or monitored temps regularly. But overall, the laptop gets slightly toasty during gaming, although far less than other laptops I've seen. The fan also does kick in, but it's not a particularly loud fan. For any non-gaming task, it seems to handle thermals like it's nothing.

## Battery life

In my original post I mentioned it was weird how my T480 charged the removable battery first, considering it'd make sense to charge the internal battery first. Otherwise the hot-swap wouldn't work.

I'm happy to report that after the BIOS update I originally performed to troubleshoot the 200MHz weirdness, the charging has been fixed.

The laptop now does a rather interesting thing. When draining the battery, it first drains the removable, then the internal one. Makes perfect sense and is the same as before.

But when charging, it's a different story. The laptop now first fills the internal battery to only about 5-10%. It then switches to charging the removable battery, after it finishes that, it fills the remaining 90-95% of the internal battery. So while it's charging the removable battery, it leaves just a tiny bit of juice in the internal one so you've got the ability to perform a hot-swap.

This is great. Maybe you don't have time to sit at a desk for more than 15 minutes at a time? Then the T480 will direct as much of the strain as possible towards the removable battery, which means that many people will probably find their internal batteries lasting a lot longer.

And those are the things I've noticed after owning the laptop. I hope this helps whoever finds this blog post via Google in the future. I'm not sure if I'll write any more blog posts about my T480, since the T490 is likely landing before the end of the year. And if an issue didn't show itself after 4 months, I doubt it'd show up later.
